# Uses of Interface
org.eclipse.net4j.util.collection.IHistoryElement

Packages that use IHistoryElement
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.

## Uses of IHistoryElement in org.eclipse.net4j.util.collection

Classes in org.eclipse.net4j.util.collection that implement IHistoryElement
Modifier and Type
Class
Description
`class`
`HistoryElement<T>`
Fields in org.eclipse.net4j.util.collection with type parameters of type IHistoryElement
Modifier and Type
Field
Description
`protected List<IHistoryElement<T>>`
History.`elements`
Methods in org.eclipse.net4j.util.collection that return IHistoryElement
Modifier and Type
Method
Description
`protected IHistoryElement<T>`
History.`createElement(T data)`
`IHistoryElement<T>`
History.`get(int index)`
`IHistoryElement<T>`
IHistory.`get(int index)`
`IHistoryElement<T>`
History.`remove(int index)`
`IHistoryElement<T>`
IHistory.`remove(int index)`
`IHistoryElement<T>[]`
History.`toArray()`
`IHistoryElement<T>[]`
IHistory.`toArray()`
Methods in org.eclipse.net4j.util.collection that return types with arguments of type IHistoryElement
Modifier and Type
Method
Description
`List<IHistoryElement<T>>`
History.`getElements()`
`IHistory<IHistoryElement<T>>`
HistoryElement.`getHistory()`
`IHistory<IHistoryElement<T>>`
IHistoryElement.`getHistory()`
`Iterator<IHistoryElement<T>>`
History.`iterator()`
Method parameters in org.eclipse.net4j.util.collection with type arguments of type IHistoryElement
Modifier and Type
Method
Description
`void`
History.`setElements(List<IHistoryElement<T>> newElements)`
Constructor parameters in org.eclipse.net4j.util.collection with type arguments of type IHistoryElement
Modifier
Constructor
Description
``
`HistoryElement(IHistory<IHistoryElement<T>> history, T data)`